Sign inGet started

Get Long Code Number Details

Get the details of a specific Long code nnumber that you own.
GET
/workspaces/{workspaceId}/numbers-long-code/{longCodeNumberId}
This endpoint returns the information of a Long Code Number assigned to the workspace given its ID. You may use the EndpointID as well to search for your long code number.
响应载荷
id
string
必填
The unique identifier of the long code number. The endpoint ID is the same.
endpointId
string
必填
The unique identifier of the endpoint. The long conde ID is the same.
numberString
string
必填
The phone number in E.164 format.
countryCode
string
必填
The country code in ISO 3166-1 alpha-2 format.
type
string
The type of long code number.
Possible values: local, national, toll-free, mobile
capabilities
object
必填
Capabilities of the phone number. It shows if the phone number supports voice, sms and/or mms.
显示子属性
capabilities.voice
object
必填
显示子属性
capabilities.voice.inbound
boolean
必填
Whether the number supports inbound use cases.
capabilities.voice.outbound
boolean
必填
Whether the number supports outbound use cases.
capabilities.sms
object
必填
显示子属性
capabilities.sms.inbound
boolean
必填
Whether the number supports inbound use cases.
capabilities.sms.outbound
boolean
必填
Whether the number supports outbound use cases.
capabilities.mms
object
必填
显示子属性
capabilities.mms.inbound
boolean
必填
Whether the number supports inbound use cases.
capabilities.mms.outbound
boolean
必填
Whether the number supports outbound use cases.
capabilities.whatsapp
object
显示子属性
capabilities.whatsapp.inbound
boolean
必填
Whether the number supports inbound use cases.
capabilities.whatsapp.outbound
boolean
必填
Whether the number supports outbound use cases.
createdAt
string
必填
updatedAt
string
必填
order
object
The order that created this long code number. It contains information such as the capabilities, order status and type.
显示子属性
order.countryCode
string
必填
The country code in ISO 3166-1 alpha-2 format.
order.type
string
必填
The type of long code number.
Possible values: local, national, toll-free, mobile
order.capabilities
array of string
必填
order.prefix
string
order.status
string
必填
Possible values: draft, submitted, processing, fulfilled, rejected, cancelled
order.createdAt
string
必填
order.updatedAt
string
必填
deprovisionAt
string
The date and time when the long code number should be deprovisioned.
endpoint
object
必填
A representation of an endpoint. It contains details such as the capabilities, dependencies, and more.
显示子属性
endpoint.id
string
必填
The ID of the endpoint.
endpoint.type
string
必填
The type of the endpoint. It can be a long code number, short code number, alpha number, ip pool, or rcs google agent.
Possible values: long-code-number, short-code-number, alpha-number, ip-pool, rcs-google-agent
endpoint.instanceId
string
必填
The unique identifier of the instance.
endpoint.name
string
必填
The name of the endpoint. For some cases it will be the number in international format as string.
endpoint.capabilities
array of object
必填
显示子属性
endpoint.capabilities.name
string
必填
Possible values: sms
endpoint.capabilities.inbound
object
显示子属性
endpoint.capabilities.inbound.status
string
必填
Possible values: active, inactive, available, unavailable
endpoint.capabilities.inbound.issues
array of string
endpoint.capabilities.outbound
object
显示子属性
endpoint.capabilities.outbound.status
string
必填
Possible values: active, inactive, available, unavailable
endpoint.capabilities.outbound.destinationStatuses
object
显示子属性
endpoint.capabilities.outbound.destinationStatuses.active
number
endpoint.capabilities.outbound.destinationStatuses.inactive
number
endpoint.capabilities.outbound.destinationStatuses.available
number
endpoint.capabilities.outbound.destinationStatuses.unavailable
number
endpoint.capabilities.outbound.supportsDestinations
boolean
Whether the number supports destinations
endpoint.capabilities.outbound.issues
array of string
endpoint.dependencies
array of object
The dependencies of the endpoint. It shows the connectors that the endpoint is connected to.
显示子属性
endpoint.dependencies.type
string
Possible values: connector
endpoint.dependencies.connectorId
string
必填
endpoint.dependencies.connectorTemplateRef
string
必填
endpoint.dependencies.capabilities
array of string
endpoint.issues
array of string
endpoint.provisioningStatus
string
必填
Possible values: provisioned, provisioning, deprovisioned, deprovisioning
endpoint.whatsApp
object
WhatsApp pre-verification details for this endpoint, if applicable. Only present for long code numbers from WhatsApp-capable providers.
显示子属性
endpoint.whatsApp.whatsAppId
string
endpoint.whatsApp.status
string
WhatsApp number status
Possible values: unknown, already-exists, installed, verified, not-verified, expired
endpoint.whatsApp.stage
string
endpoint.whatsApp.attempt
integer
endpoint.whatsApp.nextAttemptAt
string
endpoint.whatsApp.verificationExpiresAt
string
endpoint.whatsApp.requestedCodeAt
string
endpoint.whatsApp.createdAt
string
endpoint.whatsApp.updatedAt
string
endpoint.createdAt
string
必填
endpoint.updatedAt
string
必填
代码示例
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/numbers-long-code/{longCodeNumberId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'